Package com.netrics.likeit

## Class NetricsSearchResponse

- java.lang.Object
- - com.netrics.likeit.NetricsSearchResponse

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NetricsSearchResponse
      extends java.lang.Object
      implements java.io.Serializable

  This class represents the ibi™ Patterns - Search Server's response to a search command. Use the getSearchResults method to get the list of records returned by the search.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String[]` | `getFilterOutputNames()` | The names of the search filters corresponding to the sizes returned by getFilterOutputSizes.
    `int[]` | `getFilterOutputSizes()` | The output sizes of each search filter step.
    `java.lang.String[]` | `getFilterTimeNames()` | The names of the search filters corresponding to the times returned by getFilterTimes.
    `double[]` | `getFilterTimes()` | The amount of time spent in each search filter.
    `double` | `getMinConfidence()` | Return the minimum confidence value seen in processing this query.
    `double` | `getResultConfidence()` | Return the result set confidence for this query.
    `NetricsSearchResult[]` | `getSearchResults()` | Get the records returned by the search.
    `float` | `getSearchTime()` | The amount of time is took to perform the search.
    `boolean` | `isGipSearch()` | Return true if the GIP prefilter was used in this search.
    `boolean` | `isPsiSearch()` | Return true if the PSI prefilter was used in this search.
    `boolean` | `isSortSearch()` | Return true if the SORT prefilter was used in this search.
    `java.lang.String` | `toString()` | Unformatted raw response data received from the server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Unformatted raw response data received from the server.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### getSearchTime

          public float getSearchTime()

      The amount of time is took to perform the search.
      Returns:
        A float representing the amount of time spent performing the search (in seconds).

    - #### getFilterTimes

          public double[] getFilterTimes()

      The amount of time spent in each search filter.
      Returns:
        An array of double values each entry representing the amount of time spent in one of the search filter steps. filter.

    - #### getFilterTimeNames

          public java.lang.String[] getFilterTimeNames()

      The names of the search filters corresponding to the times returned by getFilterTimes.
      Returns:
        A string array, each array entry being the name of a filter step, entries being in the same order as the Times list.

    - #### getFilterOutputSizes

          public int[] getFilterOutputSizes()

      The output sizes of each search filter step.
      Returns:
        An array of int values each entry representing the output size or number of items processed by a filter step.

    - #### getFilterOutputNames

          public java.lang.String[] getFilterOutputNames()

      The names of the search filters corresponding to the sizes returned by getFilterOutputSizes.
      Returns:
        A string array, each array entry being the name of a filter step, entries being in the same order as the size list.

    - #### isGipSearch

          public boolean isGipSearch()

      Return true if the GIP prefilter was used in this search.
      Returns:
        true if the GIP prefilter was used in this search.

    - #### isSortSearch

          public boolean isSortSearch()

      Return true if the SORT prefilter was used in this search.
      Returns:
        true if the SORT prefilter was used in this search.

    - #### isPsiSearch

          public boolean isPsiSearch()

      Return true if the PSI prefilter was used in this search.
      Returns:
        true if the PSI prefilter was used in this search.

    - #### getMinConfidence

          public double getMinConfidence()

      Return the minimum confidence value seen in processing this query. This returns the minimum confidence value seen at any point during the processing of this query. This value can be used to determine if a Learn Model is hitting poorly trained cases even if they have been shielded from affecting the confidence of the result set by a First Valid score combiner.
      Returns:
        the minimumm confidence value seen at any point in processing the query, it returns -1.0 if no minimum confidence value is available.
      See Also:
        `getResultConfidence()`, `NetricsQuery.FirstValid(com.netrics.likeit.ConfidenceQlt[], boolean)`

    - #### getResultConfidence

          public double getResultConfidence()

      Return the result set confidence for this query.

      This returns the overall confidence measure for the result set. The overall confidence is set as the minimum top level confidence measure of any record processed, even if that record is not returned in the return set. This is useful in determining the reliability of the results.

      This differs from the getMinConfidence measure in that it looks only at the top level confidence value, not the confidence values for each querylet.

      Returns:
        the overall confidence for the result set or -1.0 of no overall confidence value is available.
      See Also:
        `getMinConfidence()`, `NetricsQuery.FirstValid(com.netrics.likeit.ConfidenceQlt[], boolean)`

    - #### getSearchResults

          public NetricsSearchResult[] getSearchResults()

      Get the records returned by the search.
      Returns:
        An array of records which matched the query with additional scoring information. Not null. The records are in order based on the matchScore of the record (from largest to smallest).